> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outerproduct.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Snowflake Connectors



## OpenAPI

````yaml https://api.outerproduct.com/openapi.json get /v1/connectors/snowflake
openapi: 3.1.0
info:
  title: OuterProduct API
  description: >-
    Public-facing REST API for OuterProduct model distillation, prediction, and
    explanation.
  version: 0.1.8
servers: []
security: []
paths:
  /v1/connectors/snowflake:
    get:
      tags:
        - connector
      summary: List Snowflake Connectors
      operationId: list_snowflake_connectors_v1_connectors_snowflake_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSnowflakeConnectorsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    ListSnowflakeConnectorsResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SnowflakeConnectorResponse'
          type: array
          title: Items
      type: object
      required:
        - items
      title: ListSnowflakeConnectorsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SnowflakeConnectorResponse:
      properties:
        connector_name:
          type: string
          title: Connector Name
      type: object
      required:
        - connector_name
      title: SnowflakeConnectorResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key or OAuth2/OIDC access token
      description: >-
        An API key or OAuth2/OIDC access token sent as `Authorization: Bearer
        <token>`.

````